| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iSectorList Struct Reference
[Crystal Space 3D Engine]

A list of sectors. More...

`#include <iengine/sector.h>`

Inheritance diagram for iSectorList:

[legend]
List of all members.

## Public Member Functions
virtual int | Add (iSector *obj)=0
| Add a sector.
virtual int | Find (iSector *obj) const =0
| Find a sector and return its index.
virtual iSector * | FindByName (const char *Name) const =0
| Find a sector by name.
virtual iSector * | Get (int n) const =0
| Return a sector by index.
virtual int | GetCount () const =0
| Return the number of sectors in this list.
virtual bool | Remove (int n)=0
| Remove the nth sector.
virtual bool | Remove (iSector *obj)=0
| Remove a sector.
virtual void | RemoveAll ()=0
| Remove all sectors.

## Detailed Description

A list of sectors.

Main ways to get pointers to this interface:

- iEngine::GetSectors()
- iMovable::GetSectors()

Main users of this interface:

- iEngine

Definition at line 513 of file sector.h.

## Member Function Documentation

virtual int iSectorList::Add | ( | iSector * | obj | ) | `[pure virtual]`

Add a sector.

virtual int iSectorList::Find | ( | iSector * | obj | ) | const`[pure virtual]`

Find a sector and return its index.

virtual iSector* iSectorList::FindByName | ( | const char * | Name | ) | const`[pure virtual]`

Find a sector by name.

virtual iSector* iSectorList::Get | ( | int | n | ) | const`[pure virtual]`

Return a sector by index.

virtual int iSectorList::GetCount | ( |  | ) | const`[pure virtual]`

Return the number of sectors in this list.

virtual bool iSectorList::Remove | ( | int | n | ) | `[pure virtual]`

Remove the nth sector.

virtual bool iSectorList::Remove | ( | iSector * | obj | ) | `[pure virtual]`

Remove a sector.

virtual void iSectorList::RemoveAll | ( |  | ) | `[pure virtual]`

Remove all sectors.

The documentation for this struct was generated from the following file:

- iengine/sector.h